<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class UserRole extends Model
{

    protected $table = "user_roles";
    public $timestamps = false;

    public function AssignRoles($uid, array $roles)
    {
        $checkData = $this->select("id")
            ->where("user_id", $uid)
            ->where("is_del", false)
            ->first;

        $r = 0;
        foreach ($roles as $role) {
            $r = $r & $role;
        }

        if (!$checkData) {
            // 插入新数据
            $this->user_id = $uid;
            $this->roles = $r;
            $this->save();
        } else {
            // 更新旧角色
            $this->roles = $r;
            $this->save();
        }
        return"success";
    }

    public function LoadRoleByUid($uid)
    {
        $role = $this->select("user_id", "role_id", "status")
            ->where("user_id", $uid)
            ->where("is_del", false)
            ->first();

        return $role;
    }
}
