<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

//user
Route::get("createUser", "UserController@CreateUser");
Route::get("modifyUser", "UserController@ModifyUser");
Route::get("deleteUser", "UserController@DeleteUser");
Route::get("listUser", "UserController@ListUser");

// role
Route::get("createRole", "RoleController@CreateRole");
Route::get("modifyRole", "RoleController@ModifyRole");
Route::get("deleteRole", "RoleController@DeleteRole");
Route::get("listRole", "RoleController@ListRole");

// user action bar
Route::get("addUserActionBar", "UserActionBarController@AddUserActionBar");
Route::get("removeUserActionBar", "UserActionBarController@RemoveUserActionBar");

// group
Route::get("createGroup", "GroupController@CreateGroup");
Route::get("modifyGroup", "GroupController@ModifyGroup");
Route::get("deleteGroup", "GroupController@DeleteGroup");

// group user
Route::get("groupAddUser", "GroupUserController@GroupAddUser");
Route::get("groupRemoveUser", "GroupUserController@GroupRemoveUser");

Route::get("grantPrivilege", "PermissionController@GrantPrivilege");

// action bar
Route::get("addActionBar", "ActionBarController@AddActionBar");
Route::get("modifyActionBar", "ActionBarController@ModifyActionBar");
Route::get("deleteActionBar", "ActionBarController@DeleteActionBar");
Route::get("loadActionBar", "ActionBarController@LoadActionBar");
